Bug 234936

Summary: Use c++2a instead of gnu++2a for Cocoa builds
Product: WebKit Reporter: Alex Christensen <achristensen>
Component: New BugsAssignee: Alex Christensen <achristensen>
Status: RESOLVED FIXED    
Severity: Normal CC: dino, drousso, eric.carlson, ews-watchlist, kbr, keith_miller, kondapallykalyan, mark.lam, msaboff, pangle, sam, sbarati, tzagallo, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
ews-feeder: commit-queue-
Patch none

Description Alex Christensen 2022-01-06 13:43:49 PST
Use c++2a instead of gnu++2a for Cocoa builds
Comment 1 Alex Christensen 2022-01-06 13:45:24 PST
Created attachment 448535 [details]
Patch
Comment 2 EWS Watchlist 2022-01-06 13:46:13 PST
Note that there are important steps to take when updating ANGLE. See https://trac.webkit.org/wiki/UpdatingANGLE
Comment 3 Alex Christensen 2022-01-06 15:25:54 PST
Created attachment 448540 [details]
Patch
Comment 4 Sam Weinig 2022-01-07 14:56:48 PST
What's the reasoning behind this. My recollection is we have historically used the gnu++ standard flag (presumably at some point to use some gnu extensions, though clearly not vert much any more).

What is the intended benefit here?
Comment 5 Radar WebKit Bug Importer 2022-01-13 13:44:29 PST
<rdar://problem/87568556>
Comment 6 Alex Christensen 2022-01-18 13:04:14 PST
Comment on attachment 448540 [details]
Patch

The intended benefit here is to have a consistent language standard among all WebKit ports.
Comment 7 EWS 2022-01-18 13:47:55 PST
Committed r288146 (246146@main): <https://commits.webkit.org/246146@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 448540 [details].